Closed statuses in dropdown for new issue (manager role)
Description

The following applies to manager role when creating a new issue.

| find illogical to have closed and rejected statuses in the "new issue" status dropdown. As they are marked as "closed issue" in
admin panel, | think they should be filtered, and any to be created issue would then only propose "new" or "assigned" status in the
dropdown.

May | have some wrong settings ? | feel like the proposed states are the ones which can lead to "new" state, without checking
whether they are closed states or not :)

| attach the manager's bug issue worklow.
The rapporter only has "new" option, while the developer has "new" and "assigned".

PS : when creating this redmine issue, | see "status" having both "new" and "resolved" options...

Related issues:
Is duplicate of Redmine - Feature #5816: New issue initial status should be s... Closed 2010-07-05

History

#1 - 2009-06-12 12:57 - Thomas Pihl

Well, i think you have a point. But then again, i do sometimes enter issues that is already done (i just enter them for reference). In that case it would
be double-work to first enter it into an open state and then change it to a closed state.

Some my customers raised same question. When they got slightly more used to redmine, the problem went away. Now they understand that they see
every status they are ALLOWED to use, and have to choose.

T
#2 - 2009-06-13 02:47 - Mischa The Evil
Thomas Pihl wrote:
[...] But then again, i do sometimes enter issues that is already done (i just enter them for reference). In that case it would be double-work to first

enter it into an open state and then change it to a closed state.

| feel the same way about this...

#3 - 2009-06-13 02:48 - Mischa The Evil

- Tracker changed from Defect to Feature

#4 - 2009-06-18 17:02 - Ewan Makepeace

| often add closed tasks to redmine to credit the developer concerned for urgent work that | had asked him to do verbally.

#5 - 2013-04-09 14:02 - Dipan Mehta

Ideally a 'New issue' can go to any other status as defined by the workflow. However, it is desirable that when the issue is registered it must first attain
the default status (typically New) at least once! It breaks many workflow assumptions.

When a new ticket is being opened, status should not be changeable. It should be changeable only during the update.
#6 - 2016-09-04 04:11 - Go MAEDA

- Is duplicate of Feature #5816: New issue initial status should be settable in workflow added

#7 - 2016-09-04 04:11 - Go MAEDA
- Status changed from New to Closed

- Resolution set to Duplicate

This issue has been resolved by #5816 (Redmine 3.2.0).
Now we can limit statuses for a new issue by workflow settings.
